function plotquiver(q,me,V,varargin)
  [dim,d,nq,nme]=fc_graphics4mesh.getMeshDims(q,me);
  hCL=fc_graphics4mesh.getCharacteristicLength(q);
  %h=fc_graphics4mesh.GetMaxLengthEdges(q,me);
  %default_scale=0.5*h;
  default_scale=hCL/20; %To improve?
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('freq',1,@isscalar); % plot frequence
  p.addParamValue('scale',0,@isscalar); 
  p.addParamValue('colordata',[]);
  p.addParamValue('color','b'); 
  %p.addParamValue('max',0,@isscalar); % added for usage in <fc-siplt> package 
  p.parse(varargin{:});
  R=p.Results;
  [dim,d,nq,nme]=fc_graphics4mesh.getMeshDims(q,me);
  if ~isempty(R.colordata)
    u=fc_graphics4mesh.evalAtVertices(R.colordata,q);
  else
    u=[];
  end
  scale=R.scale;
  if scale<=0
    hCL=fc_graphics4mesh.getCharacteristicLength(q);
    scale=fc_graphics4mesh.getScaleQuiver(hCL,V,dim,nq);
  end
  %if ~isempty(u), assert(length(u)==nq);end
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  
  if ~isempty(R.color) && isempty(R.colordata)
    color=fc_tools.graphics.xcolor.val2rgb(R.color);
    varargin={varargin{:},'color',color};
  end
  %if R.max<=0, R.max=fc_graphics4mesh.maxNormVector(V,dim,nq);end
  %fprintf('R.max=%g\n',R.max)
%    Norm=zeros(1,nq);
%    for i=1:dim, Norm=Norm+fc_graphics4mesh.getVectorComp(V,dim,nq,i).^2;end
%    Norm=sqrt(Norm);
%    scale=scale/max(Norm);
  %scale=scale/R.max;
  I=1:R.freq:nq;
  getVcomp=@(i)  fc_graphics4mesh.getVectorComp(V,dim,nq,i,I).';
  if dim==2
    if isempty(u)
      quiver(q(1,I),q(2,I),scale*getVcomp(1),scale*getVcomp(2),0,varargin{:});
    else
      fc_tools.graphics.vfield3.vfield3(q(1,I),q(2,I),zeros(1,length(I)), ...
         scale*getVcomp(1),scale*getVcomp(2),zeros(1,length(I)),u(I),varargin{:});
    end
  end
  if dim==3
    if isempty(u)
       quiver3(q(1,I),q(2,I),q(3,I),scale*getVcomp(1),scale*getVcomp(2),scale*getVcomp(3),0,varargin{:});
    else  
      fc_tools.graphics.vfield3.vfield3(q(1,I),q(2,I),q(3,I), ...
         scale*getVcomp(1),scale*getVcomp(2),scale*getVcomp(3),u(I),varargin{:});
    end
  end
end
